apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: synergychat-testram
  name: synergychat-testram
spec:
  replicas: 1
  selector:
    matchLabels:
      app: synergychat-testram
  template:
    metadata:
      labels:
        app: synergychat-testram
    spec:
      containers:
        - image: lanecwagner/synergychat-testram:latest
          name: synergychat-testram
          envFrom:
            - configMapRef:
                name: testram-configmap
          resources:
            limits:
              memory: 40000Mi
              cpu: 50m
            requests:
              memory: 40000Mi